io.vertx.maven.resolver

## Class ResolverImpl

- java.lang.Object
- - io.vertx.maven.resolver.ResolverImpl

- All Implemented Interfaces:
    Resolver

      public class ResolverImpl
      extends Object
      implements Resolver

  An implementation of `Resolver` based on Aether.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REMOTE_SNAPSHOT_POLICY_SYS_PROP` Deprecated. use `ResolverOptions.REMOTE_SNAPSHOT_POLICY_SYS_PROP` instead.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolverImpl(ResolverOptions options)` Creates a new instance of `ResolverImpl` with the given options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customizeRemoteRepoBuilder(org.eclipse.aether.repository.RemoteRepository.Builder builder)`
    `List<org.eclipse.aether.artifact.Artifact>` | `resolve(org.eclipse.aether.artifact.Artifact artifact, boolean transitive, List<String> exclusions)` Resolve the given artifact.
    `List<org.eclipse.aether.artifact.Artifact>` | `resolve(String gacv, ResolutionOptions options)` Resolves a dependency.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.maven.Resolver

      `create, create`

- - ### Field Detail

    - #### REMOTE_SNAPSHOT_POLICY_SYS_PROP

          @Deprecated
          public static final String REMOTE_SNAPSHOT_POLICY_SYS_PROP

      Deprecated. use `ResolverOptions.REMOTE_SNAPSHOT_POLICY_SYS_PROP` instead.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResolverImpl

          public ResolverImpl(ResolverOptions options)

      Creates a new instance of `ResolverImpl` with the given options.
      Parameters:
        `options` - the options

  - ### Method Detail

    - #### resolve

          public List<org.eclipse.aether.artifact.Artifact> resolve(org.eclipse.aether.artifact.Artifact artifact,
                                                                    boolean transitive,
                                                                    List<String> exclusions)

      Resolve the given artifact.
      Parameters:
        `artifact` - the artifact
        `transitive` - whether or not the transitive dependencies needs to be resolved too
        `exclusions` - the list of exclusions
      Returns:
        the list of artifact

    - #### customizeRemoteRepoBuilder

          public void customizeRemoteRepoBuilder(org.eclipse.aether.repository.RemoteRepository.Builder builder)

    - #### resolve

          public List<org.eclipse.aether.artifact.Artifact> resolve(String gacv,
                                                                    ResolutionOptions options)

      Description copied from interface: `Resolver`
      Resolves a dependency.
      Specified by:
        `resolve` in interface `Resolver`
      Parameters:
        `gacv` - the dependency, using the GACV form.
        `options` - the resolution options
      Returns:
        the list of resolved artifacts. The list contains a single element if the transitive dependencies are not resolved. The first artifact of the list if the artifact for the given dependency.

Copyright © 2019 Eclipse. All rights reserved.